[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Text

Text displayed for the tree node.

## Declaration

Source position: comctrls.pp line 3176

`public property TTreeNode.Text : string read FText write SetText;`

## Description

Text is a String property which contains the text displayed as the caption for the tree node.

Changing the value in the property causes the TreeView control to be updated. Its States property is modified to include the value tvsMaxRightNeedsUpdate, which causes the node sizes to be recalculated and the control to be re-displayed.

If the SortType for the TreeView is set to stText or stBoth, the Parent node is re-sorted. If the TreeView has not been assigned, the TreeNodes container is re-sorted.

The Changed method is called with the ncTextChanged node change reason.